NotificationsService (gCube Notifications Portlet 1.4.0-SNAPSHOT API)
Date: 2015-11-19

org.gcube.portlets.user.notifications.client

## Interface NotificationsService

- All Superinterfaces:
    com.google.gwt.user.client.rpc.RemoteService
  All Known Implementing Classes:
    NotificationsServiceImpl

      @RemoteServiceRelativePath(value="notificationsServlet")
      public interface NotificationsService
      extends com.google.gwt.user.client.rpc.RemoteService

  The client side stub for the RPC service.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.gcube.portal.databook.shared.UserInfo` | `getUserInfo()`
    `LinkedHashMap<String,ArrayList<NotificationPreference>>` | `getUserNotificationPreferences()`
    `HashMap<Date,ArrayList<org.gcube.portal.databook.shared.Notification>>` | `getUserNotifications()`
    `HashMap<Date,ArrayList<org.gcube.portal.databook.shared.Notification>>` | `getUserNotificationsByRange(int from, int quantity)`
    `boolean` | `setAllUserNotificationsRead()`
    `boolean` | `setUserNotificationPreferences(Map<org.gcube.portal.databook.shared.NotificationType,org.gcube.portal.databook.shared.NotificationChannelType[]> enabledChannels)`

- - ### Method Detail

    - #### getUserInfo

          org.gcube.portal.databook.shared.UserInfo getUserInfo()

    - #### getUserNotifications

          HashMap<Date,ArrayList<org.gcube.portal.databook.shared.Notification>> getUserNotifications()

    - #### getUserNotificationsByRange

          HashMap<Date,ArrayList<org.gcube.portal.databook.shared.Notification>> getUserNotificationsByRange(int from,
                                                                                                           int quantity)

    - #### setAllUserNotificationsRead

          boolean setAllUserNotificationsRead()

    - #### getUserNotificationPreferences

          LinkedHashMap<String,ArrayList<NotificationPreference>> getUserNotificationPreferences()

    - #### setUserNotificationPreferences

          boolean setUserNotificationPreferences(Map<org.gcube.portal.databook.shared.NotificationType,org.gcube.portal.databook.shared.NotificationChannelType[]> enabledChannels)

Copyright © 2015. All Rights Reserved.